unit RegistryUse;

interface

uses
  SysUtils, Classes, Registry, Windows;

type
  TRegistryUse = class(TComponent)
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure RegWrite(Mykey, MyField, MyValue: string);
    function RegRead(Mykey, MyField: string): string;
    function FindKey(MyKey : String): Boolean;
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Shadow_tj', [TRegistryUse]);
end;

{ TRegistryUse }

//------------------------------------------------------------------------------

function TRegistryUse.FindKey(MyKey : String): Boolean;
var
  Reg: TRegistry;
begin
  Reg := TRegistry.Create;
  if Reg.OpenKey( MyKey, True ) then
    Result := True
  else
    Result := False;
end;

//------------------------------------------------------------------------------

function TRegistryUse.RegRead(Mykey, MyField: string): string;
var
  Reg: TRegistry;
begin
  //Create the Object
  Reg := TRegistry.Create;
  with Reg do
  begin
    //Sets the destination for our requests
    RootKey := HKEY_LOCAL_MACHINE;
    //Check if whe can open our key, if the key dosn't exist, we create it
    if OpenKey(MyKey, True) then
    begin
      //Is our field availbe
      if ValueExists(MyField) then
        //Read the value from the field
        Result := Readstring(MyField)
      else
    end
    else
      //There is a big error if we get an errormessage by
      //opening/creating the key
    CloseKey;
  end;
end;

//------------------------------------------------------------------------------

procedure TRegistryUse.RegWrite(Mykey, MyField, MyValue: string);
var
  Reg: TRegistry;
begin
  //Create the Object
  Reg := TRegistry.Create;
  with Reg do
  begin
    //Sets the destination for our requests
    RootKey := HKEY_LOCAL_MACHINE;
    //Check if we can open our key, if the key doesn't exist, we create it
    if OpenKey(MyKey, True) then
      //We don't need to check if the field is available because the
      //field is created by writing the value
      WriteString(MyField, MyValue)
    else
      //There is a big error if we gets an errormessage by
      //opening/creating the key
    CloseKey;
  end;
end;

//------------------------------------------------------------------------------

end.
